GatewayDeltaCreateEvent (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.modules.gatewaydelta, class: GatewayDeltaCreateEvent

Package org.apache.geode.modules.gatewaydelta

# Class GatewayDeltaCreateEvent

java.lang.Object
org.apache.geode.modules.gatewaydelta.AbstractGatewayDeltaEvent
org.apache.geode.modules.gatewaydelta.GatewayDeltaCreateEvent

All Implemented Interfaces:
  `Serializable`, `DataSerializable`, `GatewayDeltaEvent`

public class GatewayDeltaCreateEvent extends AbstractGatewayDeltaEvent

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.geode.DataSerializable

  `DataSerializable.Replaceable`

- ## Field Summary

  ### Fields inherited from class org.apache.geode.modules.gatewaydelta.AbstractGatewayDeltaEvent

  `key, regionName`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(Cache cache)`
  `void`
  `fromData(DataInput in)`
  Reads the state of this object as primitive data from the given `DataInput`.
  `void`
  `toData(DataOutput out)`
  Writes the state of this object as primitive data to the given `DataOutput`.
  `String`
  `toString()`

  ### Methods inherited from class org.apache.geode.modules.gatewaydelta.AbstractGatewayDeltaEvent

  `getKey, getRegion, getRegionName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### apply

    public void apply(Cache cache)

  - ### fromData

    public void fromData(DataInput in) throws IOException, ClassNotFoundException
    Description copied from interface: `DataSerializable`
    Reads the state of this object as primitive data from the given `DataInput`.
    Specified by:
      `fromData` in interface `DataSerializable`
    Overrides:
      `fromData` in class `AbstractGatewayDeltaEvent`
    Parameters:
      `in` - the `DataInput` to read from
    Throws:
      `IOException` - A problem occurs while reading from `in`
      `ClassNotFoundException` - A class could not be loaded while reading from `in`

  - ### toData

    public void toData(DataOutput out) throws IOException
    Description copied from interface: `DataSerializable`
    Writes the state of this object as primitive data to the given `DataOutput`.

    Since 5.7 it is possible for any method call to the specified `DataOutput` to throw `GemFireRethrowable`. It should not be caught by user code. If it is it must be rethrown.

    Specified by:
      `toData` in interface `DataSerializable`
    Overrides:
      `toData` in class `AbstractGatewayDeltaEvent`
    Parameters:
      `out` - the `DataOutput` to write to
    Throws:
      `IOException` - A problem occurs while writing to `out`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`